As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 945568 - Crash [@ ensureLinear] due to OOM in ReadFile
: Crash [@ ensureLinear] due to OOM in ReadFile
Status: RESOLVED FIXED
[jsbugmon:update]
: crash, testcase
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86_64 Linux
: -- critical (vote)
: mozilla28
Assigned To: Christian Holler (:decoder)
: general
: Jason Orendorff [:jorendorff]
Mentors:
Depends on:
Blocks: langfuzz 912928
  Show dependency treegraph
 
Reported: 2013-12-02 18:30 PST by Christian Holler (:decoder)
Modified: 2014-01-28 13:48 PST (History)
4 users (show)
anthony.s.hughes: in‑testsuite?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
js-readfile-oom.patch (925 bytes, patch)
2013-12-02 18:30 PST, Christian Holler (:decoder)
terrence.d.cole: review+
Details | Diff | Splinter Review

Description User image Christian Holler (:decoder) 2013-12-02 18:30:27 PST
Created attachment 8341455 [details] [diff] [review]
js-readfile-oom.patch

The following test crashes on mozilla-central revision e014d47fc576 (no options required):

oomAfterAllocations(1);
read("x");


The problem is caused by calling ResolvePath and not checking its return value properly. Patch attached.
Comment 1 User image Terrence Cole [:terrence] 2013-12-02 18:32:43 PST
Comment on attachment 8341455 [details] [diff] [review]
js-readfile-oom.patch

Review of attachment 8341455 [details] [diff] [review]:
-----------------------------------------------------------------

Great! r=me
Comment 2 User image Christian Holler (:decoder) 2013-12-03 04:02:39 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/bb06cc9a7088
Comment 3 User image Ryan VanderMeulen [:RyanVM] 2013-12-03 13:51:50 PST
https://hg.mozilla.org/mozilla-central/rev/bb06cc9a7088

Note You need to log in before you can comment on or make changes to this bug.